package com.utic.center.utic.stat.server.dao.mapper;

import com.utic.center.utic.stat.server.dto.TableExistDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UticStatTableManagerMapper {

    TableExistDto findTableExist(@Param("tableName") String tableName);
    int dropTable(@Param("tableName") String tableName);
    int addTableComment(@Param("tableName") String tableName, @Param("tableComment") String tableComment);
    int addColumnComment(@Param("tableName") String tableName, @Param("columnName") String columnName, @Param("columnComment") String columnComment);

    int createTrafficCenterHistTable(@Param("crtMonth") String crtMonth);
    int addTrafficCenterHistPrimaryKey(@Param("crtMonth") String crtMonth);

    int createRcvLinkTrafficTable(@Param("crtMonth") String crtMonth);
    int addRcvLinkTrafficPrimaryKey(@Param("crtMonth") String crtMonth);

    int createPatnHistTable(@Param("tableName") String tableName, @Param("dataSpace") String dataSpace);
    int addPatnHistPrimaryKey(@Param("tableName") String tableName, @Param("indexSpace") String indexSpace);

    int createStatLocalLogTable(@Param("crtMonth") String crtMonth);
    int addStatLocalLogPrimaryKey(@Param("crtMonth") String crtMonth);

    int createLinkFilterLogTable(@Param("crtMonth") String crtMonth);
    int addLinkFilterLogPrimaryKey(@Param("crtMonth") String crtMonth);

    int createStatTable(@Param("tableName") String tableName);
    int addStatPrimaryKey(@Param("tableName") String tableName);
}
